## Summary
<!--Explain briefly what goes wrong and explain why you believe this is a bug and not the intended behavior of SQLite (if it is not a crash).-->**No review yet**

## Minimized query

```sql
.once log.txt
CREATE TABLE T (
  a INTEGER,
  b TEXT,
  c REAL
);
INSERT INTO T VALUES (trim(NULL),'' || ('a'),jsonb_group_array(max(if(-1, 1, 1), '2', 3))), (1,'b',-7.75), (2,'c',-9e999);
SELECT b,a,c,
RANK() OVER (PARTITION BY a ORDER BY c DESC) AS d FROM T;
SELECT * FROM T WHERE NOT EXISTS (SELECT 1 FROM T WHERE 1 = 1);
WITH cte(x) AS (VALUES(1),(2),(3)) SELECT * FROM T WHERE b IN (SELECT x FROM cte);
ALTER TABLE T DROP COLUMN b;
PRAGMA vdbe_listing = OFF;
VACUUM main;
SELECT * FROM T;
INSERT INTO T DEFAULT VALUES;
WITH cte(a, b, c) AS (SELECT c, c, c FROM T) SELECT a, b, c FROM cte;
```

## Actual output

```sql
||
```

## Expectation

```sql

```

## Flag

```
-maxsize 5
```

